Bug 56252 - [patch] databases/mysql{323,40,41}-server: fix possible infinite loop if USE_MYSQL is accidently defined
Summary: [patch] databases/mysql{323,40,41}-server: fix possible infinite loop if USE_...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Peter Pentchev
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2003-09-01 00:00 UTC by Clement Laforet
Modified: 2003-10-03 17:10 UTC (History)
1 user (show)

See Also:


Attachments
file.diff (388 bytes, patch)
2003-09-01 00:00 UTC, Clement Laforet
no flags Details | Diff
file.diff (422 bytes, patch)
2003-09-01 00:00 UTC, Clement Laforet
no flags Details | Diff
file.diff (422 bytes, patch)
2003-09-01 00:00 UTC, Clement Laforet
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Clement Laforet 2003-09-01 00:00:35 UTC
	When USE_MYSQL is defined out of a port, it can cause infinite loop.
	These patches (read "copy and paste"), obtained from openldap and gmake ports,
	avoid infinite loops which can kill your system.

Fix: mysql323-server
-------------------------------
mysql40-server
-------------------------------
mysql41-server
-------------------------------
How-To-Repeat: 	On a fresh system:
	# cd /usr/ports/devel/libtool13
	# echo "USE_MYSQL=I_wanna_see_my_freebsd_box_out_of_memory" >> /etc/make.conf
	# make all-depends-list
	Wait a couple of minutes until all your memory is exhausted.
Comment 1 Peter Pentchev freebsd_committer 2003-09-23 15:02:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->roam

I'll take care of this.
Comment 2 Peter Pentchev freebsd_committer 2003-10-03 17:10:22 UTC
State Changed
From-To: open->closed

Committed, thanks!